libzypp 17.37.10

zypp::ZConfig::Impl::MultiversionMap Struct Reference

## Public Types
using | SpecMap = std::map<Pathname, MultiversionSpec>

## Public Member Functions
MultiversionSpec & | getSpec (Pathname root_r, const Impl &zConfImpl_r)
MultiversionSpec & | getDefaultSpec ()

## Private Member Functions
int | scanConfAt (const Pathname &root_r, MultiversionSpec &spec_r, const Impl &zConfImpl_r)
void | scanDirAt (const Pathname &root_r, MultiversionSpec &spec_r, const Impl &zConfImpl_r)

## Private Attributes
SpecMap | _specMap

## Detailed Description

Definition at line 849 of file ZConfig.cc.

## Member Typedef Documentation

## ◆ SpecMap

using zypp::ZConfig::Impl::MultiversionMap::SpecMap = std::map<Pathname, MultiversionSpec>

Definition at line 851 of file ZConfig.cc.

## Member Function Documentation

## ◆ getSpec()

MultiversionSpec & zypp::ZConfig::Impl::MultiversionMap::getSpec | ( | Pathname | root_r,
|  | const Impl & | zConfImpl_r )
| inline

Definition at line 853 of file ZConfig.cc.

## ◆ getDefaultSpec()

MultiversionSpec & zypp::ZConfig::Impl::MultiversionMap::getDefaultSpec | ( |  | ) |
| inline

Definition at line 880 of file ZConfig.cc.

## ◆ scanConfAt()

int zypp::ZConfig::Impl::MultiversionMap::scanConfAt | ( | const Pathname & | root_r,
|  | MultiversionSpec & | spec_r,
|  | const Impl & | zConfImpl_r )
| inline private

Definition at line 884 of file ZConfig.cc.

## ◆ scanDirAt()

void zypp::ZConfig::Impl::MultiversionMap::scanDirAt | ( | const Pathname & | root_r,
|  | MultiversionSpec & | spec_r,
|  | const Impl & | zConfImpl_r )
| inline private

Definition at line 900 of file ZConfig.cc.

## Member Data Documentation

## ◆ _specMap

SpecMap zypp::ZConfig::Impl::MultiversionMap::_specMap
| private

Definition at line 925 of file ZConfig.cc.

The documentation for this struct was generated from the following file:

- zypp/ZConfig.cc